• Platform
    • Overview
      • Risk Cloud Overview
      • Spark AI
      • Value Realization Tool
      • Services & Support
      • Pricing
    • Capabilities
      • Reporting & Analytics
      • Risk Quantificaton
      • Integrations & API
      • Risk Cloud Exchange
      • Frameworks
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
  • Solutions
    • _separator
      • AI Governance
      • Cyber Risk Management
      • Enterprise Risk Management
      • Third-Party Risk Management
      • Controls Compliance
      • Policy Management
    • _separator
      • Regulatory Compliance
      • Data Privacy
      • Operational Resilience
      • Environmental, Social & Governance
      • Internal Audit
    • 10 Purpose-Built GRC Solutions. One Connected Platform.
      View All Solutions
  • Industries
    • _separator
      • Industries Overview
      • Software
      • FinTech
      • Telecom
      • Financial Services
    • _separator
      • Insurance
      • Investment Services
      • Hospitals & Health Systems
      • Pharmaceuticals
      • Medical Devices
    • _separator
      • Oil & Gas
      • Utilities
      • Alternative Energy
  • Company
    • _separator
      • About Us
      • Careers
      • Leadership
      • Partners
    • _separator
      • News
      • Trust & Security
      • Contact Us
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
  • Resources
    • Risk Cloud Help
      • Help Center
      • Developer Portal
    • Learn + Connect
      • Blog
      • Customer Stories
      • Resources
      • Events
      • Podcast
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
Request A Demo
img
The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
Get the Full Report

Documentation

Menu

  • Quick Start Guides
    • Risk Cloud API: Postman
    • Risk Cloud API: Getting Started
    • Risk Cloud PowerBI Connection
    • Risk Cloud Webhooks
  • API Usage Guides
    • Risk Cloud API: Update Field Configuration
    • Risk Cloud API: Update Roles on User
    • Risk Cloud API: Update Users and Permission Sets on Role
    • Risk Cloud API: Delete Records
    • Risk Cloud API: Bulk Link Records
    • Risk Cloud API: Data Repositories
    • Risk Cloud API: Bulk Import Records
    • Risk Cloud API: Build Audit Log Export
    • Risk Cloud API: Grant Users Record Access
    • Risk Cloud API: Assign Records
    • Risk Cloud API: View Record Audits
    • Risk Cloud API: Update Record User Groups
    • Risk Cloud API: Create User Groups
    • Risk Cloud API: Export Attachments
    • Risk Cloud API: Update Records
    • Risk Cloud API: Create Records
    • Risk Cloud API: View Field Audits
    • Risk Cloud API: Moving Records
    • Risk Cloud API: Post Record Comments
    • Risk Cloud API: Export Table Report
    • Risk Cloud API: Link Records
    • Risk Cloud API: Export Step Permission Sets
    • Risk Cloud API: Export User Groups
    • Risk Cloud API: Export Roles
    • Risk Cloud API: Linked Record Search
    • Risk Cloud API: Record Search
    • Risk Cloud API: Automated Evidence Collection
    • Risk Cloud API: Pagination
    • Risk Cloud API: Authentication
    • Risk Cloud API: Export Record Data
    • Risk Cloud API: Upload Attachments
    • Risk Cloud API: View User Access Audits
    • Risk Cloud API: View Applications, Workflows, and Steps
    • Risk Cloud API: Viewing Fields
    • Risk Cloud API: Viewing Users
    • Risk Cloud API: Create Users
  • Release Notes
    • v2025.4.0 Release Notes
    • v2025.3.2 Release Notes
    • v2025.2.0 Release Notes
    • v2025.1.0 Release Notes
    • v2024.12.0 Release Notes
    • v2024.11.1 Release Notes
    • v2024.11.0 Release Notes
    • v2024.10.1 Release Notes
    • v2024.10.0 Release Notes
    • v2024.9.2 Release Notes
    • v2024.9.1 Release Notes
    • v2024.9.0 Release Notes
    • v2024.8.1 Release Notes
    • v2024.8.0 Release Notes
    • v2024.7.1 Release Notes
    • v2024.7.0 Release Notes
    • v2024.6.1 Release Notes
    • v2024.6.0 Release Notes
    • v2024.5.1 Release Notes
    • v2024.5.0 Release Notes
    • v2024.4.2 Release Notes
    • v2024.4.1 Release Notes
    • v2024.4.0 Release Notes
    • v2024.3.1 Release Notes
    • v2024.3.0 Release Notes
    • v2024.2.1 Release Notes
    • v2024.2.0 Release Notes
    • v2024.1.1 Release Notes
    • v2024.1.0 Release Notes
    • v2023.12.0 Release Notes
    • v2023.11.0 Release Notes
    • v2023.10.2 Release Notes
    • v2023.10.1 Release Notes
    • v2023.10.0 Release Notes
    • v2023.9.1 Release Notes
    • v2023.9.0 Release Notes
    • v2023.8.1 Release Notes
    • v2023.8.0 Release Notes
    • v2023.7.1 Release Notes
    • v2023.7.0 Release Notes
    • v2023.6.1 Release Notes
    • v2023.6.0 Release Notes
    • v2023.5.2 Release Notes
    • v2023.5.1 Release Notes
    • v2023.5.0 Release Notes
    • v2021.4.0 Release Notes
    • v2021.3.0 Release Notes
    • v2021.2.0 Release Notes
    • v2021.1.0 Release Notes
  • Developer Blogs
    • New Year, New Developer Relations Resources: 2024 in Review
    • New Year, New Developer Relations Resources: 2023 in Review
    • Tidying Up Existing REST APIs
    • Accessibility Improvements at LogicGate
    • What Do We Look for in Developers?
    • 2 Quick Tips I’ve learned for FE Testing as a LogicGate Dev
    • Kotlin at LogicGate
    • Spring Boot with Neo4j & MySQL
  • Case Studies
  • Home
  • Developer Resources
  • API Usage Guides

Risk Cloud API: Pagination

Updated on: January 17, 2023

The Risk Cloud API contains a variety of endpoints that may return a substantial amount of listed data. These endpoints utilize a style of offset pagination to provide a means of processing the data in smaller portions.

Page Requests

Risk Cloud API endpoints that support Pagination accept two optional query parameters to indicate what portion of data to return.

  • page - an integer representing the zero-indexed page number (must not be lessthan 0, defaults to 0)
  • size - an integer representing the size of the page and maximum number of itemsto be returned (must not be less than 1, defaults to 20)

These query parameters function conceptually similar to how pages are implemented in the Risk Cloud UI, where the page is the page number value, albeit zero-indexed, and size is the Results per page value.

Example

The Field Read All endpoint of GET /api/v1/fields utilizes Pagination. If there are 50 active Fields (numbered 1-50) in a Risk Cloud environment, then the following query parameters will return the following Fields.

Page Size Request Fields
None (Default 0) None (Default 20) GET /api/v1/fields 1-20
0 20 GET /api/v1/fields?page=0&size=20 1-20
1 20 GET /api/v1/fields?page=1&size=20 21-40
2 20 GET /api/v1/fields?page=2&size=20 41-50
0 8 GET /api/v1/fields?page=0&size=8 1-8
1 8 GET /api/v1/fields?page=1&size=8 9-16

Page Responses

When a Risk Cloud API endpoint returns a Page, the response body contains a variety of properties. 

Property Type Description
content array A list of the returned items
number integer The zero-indexed page number
size integer The size of the page and maximum number of items to be returned
totalElements integer The total number of items available
totalPages integer The total number of pages available based on the size
first boolean Whether the current page is the first one
last boolean Whether the current page is the last one
empty boolean Whether the current page is empty
numberOfElements integer The number of items currently on this page
sort object The sorting parameters for the page
sort.empty boolean Whether the current page is empty
sort.sorted boolean Whether the page items are sorted
sort.unsorted boolean Whether the page items are not sorted

Page Processing

Depending on the integration, there are multiple strategies for processing data from a Risk Cloud API endpoint that supports Pagination.

  • Bulk
  • Iteration

Bulk

The Bulk strategy involves sending a single request to obtain a bulk result. This is accomplished by providing a large value for the size query parameter. The size value should be large enough to surpass the expected maximum amount of possible returned items. An example would be: GET /api/v1/fields?size=1000

The items can then be obtained from the content property of the response.

Pseudocode Example

CALL GetFields with size as 1000 RETURNING response 
SET items to response.content

Iteration

The Iteration strategy involves sending multiple requests and assembling a result. This can be accomplished in multiple ways, including the following.

  • Incrementing the pagenumber until a response where last is true is received
  • Incrementing the page number until it reaches the amount of the totalPagesresponse property

Pseudocode Example

SET items to [] 
SET index to 0 
REPEAT 
  CALL GetFields with page as index RETURNING response 
  APPEND response.content to items 
  INCREMENT index 
UNTIL response.last = true

 

Read Previous API Usage Guides
Read Next API Usage Guides
  • 320 W Ohio St
    Suite 600W
    Chicago, IL 60654
  • 312-279-2775
    • LinkedIn
    • Twitter
    • Youtube
  • Looking for something specific?
  • Request A Demo
  • Platform
    • Risk Cloud Overview
    • Spark AI
    • Value Realization Tool
    • Reporting & Analytics
    • Risk Quantification
    • Integrations & API
    • Risk Cloud Exchange
    • Services & Support
    • Frameworks
    • Pricing
  • Company
    • Careers We're hiring!
    • Executive Team
    • Partners
    • LogicGate News
    • LogicGate Trust Center
    • Contact Us
  • Resources
    • Blog
    • Email Newsletter
    • Resource Center
    • Help Center
    • Developer
  • Solutions
    • AI Governance
    • Cyber Risk & Controls Compliance
    • Enterprise Risk Management
    • Third-Party Risk Management
    • Controls Compliance
    • Regulatory Compliance
    • Data Privacy Management
    • Operational Resilience
    • Policy Management
    • Environmental, Social & Governance
    • Internal Audit Management
    • View All Solutions
  • Industries
    • Software
    • FinTech
    • Telecom
    • Financial Services
    • Insurance
    • Investment Services
    • Healthcare
    • Pharmaceuticals
    • Medical Devices
    • Oil & Gas
    • Utilities
    • Alternative Energy
  • LinkedIn TwitterYoutube

Copyright © 2026. LogicGate, Inc. All rights reserved.

  • Privacy Policy
  • Information Security Measures